[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.GetCurrentRecord

Copy the data for the current record in a memory buffer

## Declaration

Source position: db.pas line 1698

`public function TDataSet.GetCurrentRecord(`
`Buffer: TRecordBuffer`
`):Boolean; virtual;`

## Arguments

`Buffer` |  | Buffer to which record data must be copied.

## Function result

True if the data for the current record has been copied successfully.

## Description

GetCurrentRecord can be overridden by TDataset descendents to copy the data for the current record to Buffer. Buffermust point to a memory area, large enough to contain the data for the record. If the data is copied successfully to the buffer, the function returns True. The TDataset implementation is empty, and returns False.

## See also

TDataset.ActiveBuffer |  | Currently active memory buffer